# $Id: Makefile.am,v 1.5 1999/09/29 05:57:51 admin Exp $

# these directories are not needed yet
#SUBDIRS = comm engine session 

noinst_PROGRAMS = package
package_SOURCES = Ajpv12InputStream.java \
		  JServ.java \
		  JServConnection.java \
		  JServContext.java \
		  JServDefs.java \
		  JServLog.java \
		  JServLogChannels.java \
		  JServSTMStore.java \
		  JServSendError.java \
		  JServServletManager.java \
		  JServSession.java \
		  JServUtils.java 
		  
JAVACX = @JAVACX@

SUFFIXES = .java .class

.java.class:
	@ ${ECHO} "Compiling $< ..."
	@ ${JAVACX} $<

package: $(package_OBJECTS) $(package_DEPENDENCIES)

clean-compile:

	rm -f *.class

clean-generic:

	rm -f *~
